# $Revision: 1.40 $, $Date: 2009/03/26 19:10:28 $
%bcond_without  javadoc         # don't build javadoc
%if "%{pld_release}" == "ti"
%bcond_without	java_sun	# build with gcj
%else
%bcond_with	java_sun	# build with java-sun
%endif
#
%include	/usr/lib/rpm/macros.java
#
%define	srcname	mail
Summary:	JavaMail - Java mail system
Summary(pl.UTF-8):	JavaMail - system pocztowy w Javie
Name:		java-mail
Version:	1.4.1
Release:	5
License:	CDDL
Group:		Libraries/Java
Source0:	https://maven-repository.dev.java.net/nonav/repository/javax.mail/jars/mail-%{version}-sources.jar
# Source0-md5:	e5517da355c865a6451c451e45ccbba1
URL:		http://java.sun.com/products/javamail/
BuildRequires:	jaf
%{!?with_java_sun:BuildRequires:	java-gcj-compat-devel}
%{?with_java_sun:BuildRequires:	java-sun}
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jaf
Requires:	jpackage-utils
Provides:	javamail = %{version}-%{release}
Obsoletes:	javamail
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The JavaMail(TM) API provides a set of abstract classes that model a
mail system. The API provides a platform independent and protocol
independent framework to build Java technology-based mail and
messaging applications.

%description -l pl.UTF-8
API JavaMail(TM) daje zestaw klas abstrakcyjnych tworzących system
pocztowy. API daje niezależne od platformy i protokołu środowisko do
tworzenia aplikacji pocztowych i komunikacyjnych w oparciu o Javę.

%package javadoc
Summary:	Online manual for java-mail
Summary(pl.UTF-8):	Dokumentacja online do java-mail
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
Documentation for java-mail.

%description javadoc -l pl.UTF-8
Dokumentacja do java-mail.

%description javadoc -l fr.UTF-8
Javadoc pour java-mail.

%prep
%setup -qc

%build
CLASSPATH=$(build-classpath activation)

install -d build
%javac -classpath $CLASSPATH -source 1.4 -target 1.4 -d build $(find -name '*.java')

%if %{with javadoc}
%javadoc -d apidocs \
	%{?with_java_sun:com.sun.mail} \
	$(find com/sun/mail -name '*.java') 
%endif

%jar -cf %{srcname}-%{version}.jar -C build .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
cp -a %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-%{version}.jar
ln -s %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar
ln -s %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/javamail-%{version}.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%{_javadir}/javamail-%{version}.jar
%{_javadir}/%{srcname}-%{version}.jar
%{_javadir}/%{srcname}.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-mail.spec,v $
Revision 1.40  2009/03/26 19:10:28  paszczus
- fixed building with java_sun

Revision 1.39  2009/03/26 18:44:56  pawelz
- conditional bcond for Titanium

Revision 1.38  2009/03/17 17:47:00  pawelz
- jar works better if it contains bytecode, not java source :-/ I'm stupid!
- rel 5

Revision 1.37  2009/03/17 16:33:38  glen
- tab

Revision 1.36  2009/03/17 12:40:06  pawelz
- install correct jar
- java_sun bcond
- dropped SHELL=/bin/sh (no longer needed)
- rel 4

Revision 1.35  2009/02/23 15:58:44  pawelz
- build from sources
- javadocs
- rel 3

Revision 1.34  2009/02/16 07:02:32  pawelz
- removed outdated comment and TODO
- rel 2

Revision 1.33  2009/02/02 12:28:36  glen
- Libraries/Java group

Revision 1.32  2009/02/02 12:16:29  pawelz
- symlinks in %%install. It builds now.

Revision 1.31  2009/02/02 12:12:15  pawelz
- fixed Name

Revision 1.30  2009/02/02 08:22:10  pawelz
- P:/O: old name

Revision 1.29  2009/02/02 08:20:36  pawelz
- renamed from javamail.spec

Revision 1.28  2009/02/02 07:18:34  pawelz
- removed %%setup (source is not archive)
- typo

Revision 1.27  2009/02/02 07:03:21  pawelz
- javamail is now opensource.
- updated License, Source0.
- it is no longer nosrc package.
- removed docs as there are no docs nor examples in new source.
- rel 1.1 (needs testing).

Revision 1.26  2009/01/26 15:46:36  pawelz
- added todo (it is open source now and we can redistribute it).

Revision 1.25  2007/12/16 00:24:43  qboosh
- more docs

Revision 1.24  2007-12-11 14:25:59  glen
- update to 1.4.1
- unify java package

Revision 1.23  2007-02-13 08:06:36  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.21  2006/06/23 10:57:03  qboosh
- updated md5

Revision 1.20  2006/06/17 08:13:48  darekr
- BR unzip

Revision 1.19  2006/06/17 07:59:33  megabajt
- simplified %setup

Revision 1.18  2006/06/17 06:36:31  pawcioos
- Updated to 1.4

Revision 1.17  2005/12/09 15:02:04  baggins
- updated to 1.3.3.01 final

Revision 1.16  2005/08/14 13:05:37  glen
- updated to "upd"

Revision 1.15  2005/05/07 17:25:03  qboosh
- download note

Revision 1.14  2004/12/14 16:59:55  baggins
- DON'T hardcode java paths!

Revision 1.13  2004/11/13 11:21:55  andree
- updated to 1.3.2

Revision 1.12  2004/07/05 16:09:57  pluto
- source0, md5.

Revision 1.11  2003/09/08 15:04:21  mick3y
- updated link to source

Revision 1.10  2003/08/22 16:11:49  baggins
- updated to 1.3.1

Revision 1.9  2003/05/25 05:49:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/03/02 23:30:32  misto
- changes for compatibilty with javamail 1.3 (download from SUN)

Revision 1.7  2002/08/24 20:25:59  qboosh
- new %%doc, License fix, R: jre >= 1.1

Revision 1.6  2002/04/25 16:38:52  arturs
- fixed a small typo

Revision 1.5  2002/02/23 02:59:08  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:13:23  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/11/30 10:16:35  qboosh
- descriptions, cosmetics, removed %%{_javalibdir} from package

Revision 1.1  2001/10/02 07:43:42  pascalek
- initial revision
